# Bundle static assets with nginx
FROM nginx:1.21.0-alpine
ENV NODE_ENV production

# Add your nginx.conf
COPY config/nginx.conf /etc/nginx/nginx.conf
COPY config/default.conf /etc/nginx/conf.d/default.conf
# Copy site data
COPY ./html /var/www/html
 

# Expose port
EXPOSE 80
EXPOSE 443
# Start nginx
CMD ["nginx", "-g", "daemon off;"]